package com.dsic.gj_erp.bean.jcsj;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.dsic.gj_erp.pc.dto.tlt.光电;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Digits;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class Ydjhzz implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船号")
    private String dcCh;

    @ApiModelProperty(value = "批量")
    private String dcPl;

    @ApiModelProperty(value = "分段")
    private String dcFd;

    @ApiModelProperty(value = "龙门1")
    private Double lm1;

    @ApiModelProperty(value = "龙门1吨位")
    private Double lmdw;
    @ApiModelProperty(value = "数1")
    private Double s1;
    @ApiModelProperty(value = "数1吨位")
    private Double s1dw;
    @ApiModelProperty(value = "数小2")
    private Double sx2;
    @ApiModelProperty(value = "数小2吨位")
    private Double sx2dw;
    @ApiModelProperty(value = "数中大2")
    private Double szd2;
    @ApiModelProperty(value = "数中大2吨位")
    private Double szd2dw;
    @ApiModelProperty(value = "小腹")
    private Double xf;
    @ApiModelProperty(value = "小腹吨位")
    private Double xfdw;
    @ApiModelProperty(value = "大腹")
    private Double df;
    @ApiModelProperty(value = "大腹吨位")
    private Double dfdw;
    @ApiModelProperty(value = "小组厚板")
    private Double xzhb;
    @ApiModelProperty(value = "小组厚板吨位")
    private Double xzhbdw;
    @ApiModelProperty(value = "大组厚板")
    private Double dzhb;
    @ApiModelProperty(value = "大组厚板吨位")
    private Double dzhbdw;
    @ApiModelProperty(value = "数小4")
    private Double sx4;
    @ApiModelProperty(value = "数小4吨位")
    private Double sx4dw;
    @ApiModelProperty(value = "机肘4")
    private Double jz4;
    @ApiModelProperty(value = "机肘4吨位")
    private Double jz4dw;
    @ApiModelProperty(value = "小面")
    private Double xm;
    @ApiModelProperty(value = "小面吨位")
    private Double xmdw;
    @ApiModelProperty(value = "大面")
    private Double dm;
    @ApiModelProperty(value = "大面吨位")
    private Double dmdw;
    @ApiModelProperty(value = "手小3")
    private Double sx3;
    @ApiModelProperty(value = "手小3吨位")
    private Double sx3dw;
    @ApiModelProperty(value = "手机3")
    private Double sj3;
    @ApiModelProperty(value = "手机3吨位")
    private Double sj3dw;
    @ApiModelProperty(value = "手中大3")
    private Double szd3;
    @ApiModelProperty(value = "手中大3吨位")
    private Double szd3dw;
    @ApiModelProperty(value = "小组型材")
    private Double xzxc;
    @ApiModelProperty(value = "小组型材吨位")
    private Double xzdw;
    @ApiModelProperty(value = "小组根数")
    private Double xzgs;
    @ApiModelProperty(value = "大组型材")
    private Double dzxc;
    @ApiModelProperty(value = "大组吨位")
    private Double dzdw;
    @ApiModelProperty(value = "大组根数")
    private Double dzgs;
    @ApiModelProperty(value = "方钢")
    private Double fg;
    @ApiModelProperty(value = "方钢吨位")
    private Double fgdw;
    @ApiModelProperty(value = "数中大4")
    private Double szd4;
    @ApiModelProperty(value = "数中大4")
    private Double szd4dw;
    @ApiModelProperty(value = "数曲2小")
    private Double sq2x;
    @ApiModelProperty(value = "数曲2小吨位")
    private Double sq2xdw;
    @ApiModelProperty(value = "数曲2大")
    private Double sq2d;
    @ApiModelProperty(value = "数曲2大吨位")
    private Double sq2ddw;
    @ApiModelProperty(value = "小曲3")
    private Double xq3;
    @ApiModelProperty(value = "小曲3吨位")
    private Double xq3dw;
    @ApiModelProperty(value = "大曲3")
    private Double dq3;
    @ApiModelProperty(value = "大曲3吨位")
    private Double dq3dw;
    @ApiModelProperty(value = "光电")
    private Double gd;
    @ApiModelProperty(value = "光电吨位")
    private Double gdDw;

    @ApiModelProperty(value = "小腹零件")
    private Double xflj;

    @ApiModelProperty(value = "大腹零件")
    private Double dflj;
    @ApiModelProperty(value = "型材合吨位")
    private Double xchdw;
    @ApiModelProperty(value = "合吨位")
    private Double hdw;
    @ApiModelProperty(value = "合吨位")
    private Double hdw1;

    @ApiModelProperty(value = "合计吨位")
    private Double hjdw;

    @ApiModelProperty(value = "合计板数")
    private Double hjbs;

    public Double getXchdw(){
        Double d= ObjectUtil.isEmpty(this.xzdw)?0.0:this.xzdw
                +(ObjectUtil.isEmpty(this.dzdw)?0.0:this.dzdw)
                +(ObjectUtil.isEmpty(this.fgdw)?0.0:this.fgdw);
        BigDecimal d1 = new BigDecimal(d);
        return d1.setScale(1,BigDecimal.ROUND_HALF_UP).doubleValue();
    }
    public Double getHdw(){
        Double  d=ObjectUtil.isEmpty(lmdw)?0.0:this.lmdw
                +(ObjectUtil.isEmpty(s1dw)?0.0:this.s1dw)
                +(ObjectUtil.isEmpty(sx2dw)?0.0:this.sx2dw)
                +(ObjectUtil.isEmpty(szd2dw)?0.0:this.szd2dw)
                +(ObjectUtil.isEmpty(xfdw)?0.0:this.xfdw)
                +(ObjectUtil.isEmpty(dfdw)?0.0:this.dfdw)
                +(ObjectUtil.isEmpty(xzhbdw)?0.0:this.xzhbdw)
                +(ObjectUtil.isEmpty(dzhbdw)?0.0:this.dzhbdw)
                +(ObjectUtil.isEmpty(sx4dw)?0.0:this.sx4dw)
                +(ObjectUtil.isEmpty(jz4dw)?0.0:this.jz4dw)
                +(ObjectUtil.isEmpty(xmdw)?0.0:this.xmdw)
                +(ObjectUtil.isEmpty(dmdw)?0.0:this.dmdw)
                +(ObjectUtil.isEmpty(sx3dw)?0.0:this.sx3dw)
                +(ObjectUtil.isEmpty(sj3dw)?0.0:this.sj3dw)
                +(ObjectUtil.isEmpty(szd3dw)?0.0:this.szd3dw)
                +(ObjectUtil.isEmpty(xchdw)?0.0:this.xchdw);
        BigDecimal d1 = new BigDecimal(d);
        return d1.setScale(1,BigDecimal.ROUND_HALF_UP).doubleValue();
    }

    public Double getHdw1(){
        Double  d=ObjectUtil.isEmpty(szd4dw)?0.0:this.szd4dw
                +(ObjectUtil.isEmpty(sq2ddw)?0.0:this.sq2ddw)
                +(ObjectUtil.isEmpty(sq2xdw)?0.0:this.sq2xdw)
                +(ObjectUtil.isEmpty(xq3dw)?0.0:this.xq3dw)
                +(ObjectUtil.isEmpty(dq3dw)?0.0:this.dq3dw)
                +(ObjectUtil.isEmpty(gdDw)?0.0:this.gdDw);
        Double d1 = new BigDecimal(d).setScale(1,BigDecimal.ROUND_HALF_UP).doubleValue();
        return d1;
    }
    public Double getHjbs(){
            Double  d=ObjectUtil.isEmpty(lm1)?0.0:this.lm1
                    +(ObjectUtil.isEmpty(s1)?0.0:this.s1)
                    +(ObjectUtil.isEmpty(sx2)?0.0:this.sx2)
                    +(ObjectUtil.isEmpty(szd2)?0.0:this.szd2)
                    +(ObjectUtil.isEmpty(xf)?0.0:this.xf)
                    +(ObjectUtil.isEmpty(df)?0.0:this.df)
                    +(ObjectUtil.isEmpty(xzhb)?0.0:this.xzhb)
                    +(ObjectUtil.isEmpty(dzhb)?0.0:this.dzhb)
                    +(ObjectUtil.isEmpty(sx4)?0.0:this.sx4)
                    +(ObjectUtil.isEmpty(jz4)?0.0:this.jz4)
                    +(ObjectUtil.isEmpty(xm)?0.0:this.xm)
                    +(ObjectUtil.isEmpty(dm)?0.0:this.dm)
                    +(ObjectUtil.isEmpty(sx3)?0.0:this.sx3)
                    +(ObjectUtil.isEmpty(sj3)?0.0:this.sj3)
                    +(ObjectUtil.isEmpty(szd3)?0.0:this.szd3)
                +(ObjectUtil.isEmpty(szd4)?0.0:this.szd4)
                +(ObjectUtil.isEmpty(sq2d)?0.0:this.sq2d)
                +(ObjectUtil.isEmpty(sq2x)?0.0:this.sq2x)
                +(ObjectUtil.isEmpty(xq3)?0.0:this.xq3)
                +(ObjectUtil.isEmpty(dq3)?0.0:this.dq3)
                +(ObjectUtil.isEmpty(gd)?0.0:this.gd);

        return d;
    }
}
